
# [@vue/compiler-core](https://github.com/vuejs/vue-next)

[![Knightly Build](https://github.com/knightlyjs/knightly/blob/main/res/badge.svg?raw=true)](https://github.com/knightlyjs/knightly) ![2021-07-08T01:23:33.665Z](https://img.shields.io/date/1625707414?color=eee&label=)

[**Unofficial**] Nightly build for [vuejs/vue-next@ab8bc](https://github.com/vuejs/vue-next/tree/ab8bc719860c25ba3895489471fba22bce061d41), published automatically by [Knightly](https://github.com/knightlyjs/knightly).

| package (`@vue/compiler-core`) | `@knightly/vue__compiler-core`                                                                                                               |
| ------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| version (`3.1.4*`)             | `3.1.4-knightly-3-2.202107080120`                                                                                                            |
| last commit                    | refactor: reduce bundle size                                                                                                                 |
| sha (`3-2`)                    | `ab8bc719860c25ba3895489471fba22bce061d41`                                                                                                   |
| changes                        | [compare with last release](//github.com/vuejs/vue-next/compare/v3.1.4-knightly-3-2.202107080120...ab8bc719860c25ba3895489471fba22bce061d41) |
| build                          | 2021-07-08T01:23:33.665Z                                                                                                                     |

> [More PRs and branches builds](https://www.npmjs.com/package/@knightly/vue__compiler-core?activeTab=versions)

### Usage

To replace the package with nightly build:

via `npm`

```bash
npm i @vue/compiler-core@npm:@knightly/vue__compiler-core@3-2
```

or edit your `package.json`

```json
"dependencies": {
  "@vue/compiler-core": "npm:@knightly/vue__compiler-core@3-2"
}
```


## Packages

| Package                | Knightly                                                                                                                           |
| ---------------------- | ---------------------------------------------------------------------------------------------------------------------------------- |
| `vue`                  | [`@knightly/vue`](https://www.npmjs.com/package/@knightly/vue/v/3.1.4-knightly-3-2.202107080120)                                   |
| `@vue/reactivity`      | [`@knightly/vue__reactivity`](https://www.npmjs.com/package/@knightly/vue__reactivity/v/3.1.4-knightly-3-2.202107080120)           |
| `@vue/shared`          | [`@knightly/vue__shared`](https://www.npmjs.com/package/@knightly/vue__shared/v/3.1.4-knightly-3-2.202107080120)                   |
| `@vue/compiler-core`   | [`@knightly/vue__compiler-core`](https://www.npmjs.com/package/@knightly/vue__compiler-core/v/3.1.4-knightly-3-2.202107080120)     |
| `@vue/compiler-dom`    | [`@knightly/vue__compiler-dom`](https://www.npmjs.com/package/@knightly/vue__compiler-dom/v/3.1.4-knightly-3-2.202107080120)       |
| `@vue/compiler-sfc`    | [`@knightly/vue__compiler-sfc`](https://www.npmjs.com/package/@knightly/vue__compiler-sfc/v/3.1.4-knightly-3-2.202107080120)       |
| `@vue/compiler-ssr`    | [`@knightly/vue__compiler-ssr`](https://www.npmjs.com/package/@knightly/vue__compiler-ssr/v/3.1.4-knightly-3-2.202107080120)       |
| `@vue/runtime-dom`     | [`@knightly/vue__runtime-dom`](https://www.npmjs.com/package/@knightly/vue__runtime-dom/v/3.1.4-knightly-3-2.202107080120)         |
| `@vue/runtime-core`    | [`@knightly/vue__runtime-core`](https://www.npmjs.com/package/@knightly/vue__runtime-core/v/3.1.4-knightly-3-2.202107080120)       |
| `@vue/server-renderer` | [`@knightly/vue__server-renderer`](https://www.npmjs.com/package/@knightly/vue__server-renderer/v/3.1.4-knightly-3-2.202107080120) |

<br>
Knightly v0.5.6
